/* Copyright (c) 1997, MpegTV LLC */
#ifndef _gui_h
#define _gui_h
#ifndef lint
static char rcsid_gui_h[] = "$Header: /net/iris/disk2/tristan/tristan/mpeg/dec/RCS/mtv.h,v 1.56 1997/08/11 05:22:34 tristan Exp $";
#endif

#include "misc.h"
#include "com_api.h"


/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/

/*
 * Callback parameters used internally by the mtv front-end (mtv.c).
 * To make sure that they don't conflict with the COMMAND
 * API (also used as callback parameters by the GUI), we
 * make sure that they start at COM_MAX.
 */

enum {
	COM_PLAY_PAUSE = COM_MAX,
	COM_STOP,
	COM_REWIND,
	COM_ABOUT_OPEN,
	COM_ABOUT_CLOSE,
	COM_AUDIO_OPEN,
	COM_AUDIO_CLOSE,
	COM_AUDIO_CH_BOTH,
	COM_AUDIO_CH_LEFT,
	COM_AUDIO_CH_RIGHT,
	COM_VIDEO_DITHER_NONE,
	COM_VIDEO_DITHER_GRAY,
	COM_VIDEO_DITHER_ORDERED,
	COM_VIDEO_DITHER_COLOR,
	COM_VIDEO_GAMMA_SLIDER,
	COM_VIDEO_GAMMA_SLIDER_RESET,
	COM_VIDEO_CONTRAST_SLIDER,
	COM_VIDEO_CONTRAST_SLIDER_RESET,
	COM_VIDEO_BRIGHTNESS_SLIDER,
	COM_VIDEO_BRIGHTNESS_SLIDER_RESET,
	COM_VIDEO_OPEN,
	COM_VIDEO_CLOSE,
	COM_SYNC_OPEN,
	COM_SYNC_CLOSE,
	COM_SYNC_FRAMERATE_RESET,
	COM_INFOS_OPEN,
	COM_INFOS_CLOSE,
	COM_FRAME_INFOS_OPEN,
	COM_FRAME_INFOS_CLOSE,
	COM_FILE_MENU,
	COM_OPTIONS_MENU,
	COM_WINDOW_MENU,
	COM_HELP_MENU,
	COM_SYNC_SYNC,
	COM_SYNC_IPB,
	COM_SYNC_IP,
	COM_SYNC_I,
	COM_SYNC_NOMINAL,
	COM_AUDIO_QUALITY_LOW,
	COM_AUDIO_QUALITY_MEDIUM,
	COM_AUDIO_QUALITY_HIGH,
	COM_AUDIO_CONTROLS_MASTER,
	COM_AUDIO_CONTROLS_PCM,
	COM_AUDIO_PORT_LINE_OUT,
	COM_AUDIO_PORT_HEADPHONE,
	COM_AUDIO_PORT_SPEAKER,
	COM_FAST_FORWARD,
	COM_ALERT_CLOSE,
	COM_OPEN_STDIN,
	COM_LICENSE_OPEN,
	COM_LICENSE_CLOSE
};


#endif /* _gui_h */
